diff -pruN 3.5-6/debian/changelog 3.5-8/debian/changelog
--- 3.5-6/debian/changelog	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/changelog	2020-04-05 15:44:31.000000000 +0000
@@ -1,3 +1,47 @@
+chrony (3.5-8) unstable; urgency=medium
+
+  * debian/postrm:
+    - Stop starting systemd-timesyncd in postrm. This is no longer relevant
+    since systemd-timesyncd is a standalone package declaring
+    Conflicts/Replaces/Provides: time-daemon. (Closes: #955773)
+
+  [ Christian Ehrhardt ]
+  * debian/tests/upstream-system-tests:
+    - Stop chrony/systemd-timesynd before running these tests. (LP: #1870144)
+
+ -- Vincent Blut <vincent.debian@free.fr>  Sun, 05 Apr 2020 17:44:31 +0200
+
+chrony (3.5-7) unstable; urgency=medium
+
+  * debian/chrony.maintscript:
+    - Remove the /etc/NetworkManager/dispatcher.d/20-chrony conffile.
+
+  * debian/control:
+    - Support seccomp facility on riscv64. It should be noted that the system
+    call filter will stay disabled by default on this architecture until
+    Linux >= 5.5 hits unstable.
+    - Bump libseccomp-dev build-dep to 2.4.3-1~ to provide seccomp facility on
+    riscv64.
+    - Break network-manager (<< 1.20.0-1~). Prior to this version,
+    NetworkManager would not look for dispatcher scripts into
+    /usr/lib/NetworkManager/dispatcher.d/.
+
+  * debian/dirs:
+    - Create the usr/lib/NetworkManager/dispatcher.d subdirectories.
+
+  * debian/links:
+    - Change the location of the NetworkManager dispatcher script.
+
+  * debian/patches/:
+    - Add allow-renameat2-in-seccomp-filter.patch. Required as the riscv64
+    architecture does not support the rename() and renameat() system calls.
+
+  * debian/rules:
+    - Move the NetworkManager dispatcher script in
+     /usr/lib/NetworkManager/dispatcher.d/.
+
+ -- Vincent Blut <vincent.debian@free.fr>  Tue, 17 Mar 2020 15:21:53 +0100
+
 chrony (3.5-6) unstable; urgency=medium
 
   * debian/chrony.service:
diff -pruN 3.5-6/debian/chrony.maintscript 3.5-8/debian/chrony.maintscript
--- 3.5-6/debian/chrony.maintscript	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/chrony.maintscript	2020-04-05 15:44:31.000000000 +0000
@@ -1 +1,2 @@
 rm_conffile /etc/apm/event.d/01chrony 2.4.1-3~ chrony
+rm_conffile /etc/NetworkManager/dispatcher.d/20-chrony 3.5-7~ chrony
diff -pruN 3.5-6/debian/control 3.5-8/debian/control
--- 3.5-6/debian/control	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/control	2020-04-05 15:44:31.000000000 +0000
@@ -10,7 +10,7 @@ Build-Depends: asciidoctor (>= 1.5.3-1~)
                dh-apparmor,
                libcap-dev [linux-any],
                libedit-dev,
-               libseccomp-dev (>= 2.2.3-3~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390x x32],
+               libseccomp-dev (>= 2.4.3-1~) [amd64 arm64 armel armhf hppa i386 mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390x x32],
                net-tools <!nocheck>,
                nettle-dev,
                pkg-config,
@@ -31,6 +31,7 @@ Depends: adduser,
          ${shlibs:Depends}
 Suggests: dnsutils,
           networkd-dispatcher
+Breaks: network-manager (<< 1.20.0-1~)
 Conflicts: time-daemon
 Provides: time-daemon
 Replaces: time-daemon
diff -pruN 3.5-6/debian/dirs 3.5-8/debian/dirs
--- 3.5-6/debian/dirs	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/dirs	2020-04-05 15:44:31.000000000 +0000
@@ -1,8 +1,8 @@
-etc/NetworkManager/dispatcher.d
 etc/apparmor.d/force-complain
 etc/chrony
 etc/logrotate.d
 etc/ppp/ip-down.d
 etc/ppp/ip-up.d
+usr/lib/NetworkManager/dispatcher.d
 var/lib/chrony
 var/log/chrony
diff -pruN 3.5-6/debian/links 3.5-8/debian/links
--- 3.5-6/debian/links	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/links	2020-04-05 15:44:31.000000000 +0000
@@ -1,5 +1,5 @@
 # Update sources in response to systemd-networkd events (LP: #1718227).
 # This is reusing the NetworkManager dispatch script which has no hard
 # dependency to NetworkManager (not using any of its arguments)
-etc/NetworkManager/dispatcher.d/20-chrony usr/lib/networkd-dispatcher/routable.d/chrony
-etc/NetworkManager/dispatcher.d/20-chrony usr/lib/networkd-dispatcher/off.d/chrony
+usr/lib/NetworkManager/dispatcher.d/20-chrony usr/lib/networkd-dispatcher/routable.d/chrony
+usr/lib/NetworkManager/dispatcher.d/20-chrony usr/lib/networkd-dispatcher/off.d/chrony
diff -pruN 3.5-6/debian/patches/allow-renameat2-in-seccomp-filter.patch 3.5-8/debian/patches/allow-renameat2-in-seccomp-filter.patch
--- 3.5-6/debian/patches/allow-renameat2-in-seccomp-filter.patch	1970-01-01 00:00:00.000000000 +0000
+++ 3.5-8/debian/patches/allow-renameat2-in-seccomp-filter.patch	2020-04-05 15:44:31.000000000 +0000
@@ -0,0 +1,21 @@
+From 994409a03697b8df68115342dc8d1e7ceeeb40bd Mon Sep 17 00:00:00 2001
+From: Vincent Blut <vincent.debian@free.fr>
+Date: Thu, 16 Jan 2020 17:04:35 +0100
+Subject: sys_linux: allow renameat2 in seccomp filter
+
+This is needed for architectures that support neither rename() nor
+renameat() (e.g. riscv64)
+
+--- a/sys_linux.c
++++ b/sys_linux.c
+@@ -493,8 +493,8 @@ SYS_Linux_EnableSystemCallFilter(int lev
+     SCMP_SYS(chown32), SCMP_SYS(faccessat), SCMP_SYS(fchmodat), SCMP_SYS(fchownat),
+     SCMP_SYS(fstat), SCMP_SYS(fstat64), SCMP_SYS(getdents), SCMP_SYS(getdents64),
+     SCMP_SYS(lseek), SCMP_SYS(newfstatat), SCMP_SYS(rename), SCMP_SYS(renameat),
+-    SCMP_SYS(stat), SCMP_SYS(stat64), SCMP_SYS(statfs), SCMP_SYS(statfs64),
+-    SCMP_SYS(unlink), SCMP_SYS(unlinkat),
++    SCMP_SYS(renameat2), SCMP_SYS(stat), SCMP_SYS(stat64), SCMP_SYS(statfs),
++    SCMP_SYS(statfs64), SCMP_SYS(unlink), SCMP_SYS(unlinkat),
+     /* Socket */
+     SCMP_SYS(bind), SCMP_SYS(connect), SCMP_SYS(getsockname), SCMP_SYS(getsockopt),
+     SCMP_SYS(recv), SCMP_SYS(recvfrom), SCMP_SYS(recvmmsg), SCMP_SYS(recvmsg),
diff -pruN 3.5-6/debian/patches/series 3.5-8/debian/patches/series
--- 3.5-6/debian/patches/series	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/patches/series	2020-04-05 15:44:31.000000000 +0000
@@ -1,3 +1,4 @@
+allow-renameat2-in-seccomp-filter.patch
 allow-clock_adjtime-in-seccomp-filter.patch
 update_processing_of_packet_log.patch
 rtc-simplify-and-move-switch_interrupts-function.patch
diff -pruN 3.5-6/debian/postrm 3.5-8/debian/postrm
--- 3.5-6/debian/postrm	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/postrm	2020-04-05 15:44:31.000000000 +0000
@@ -7,15 +7,6 @@ set -e
 
 # targets: purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear
 
-restore_timesyncd() {
-    # on next reboot it would start, but that would leave time
-    # unsynchronized until then. So as the Conflicts in the service file kill
-    # systemd-timesyncd re-establish it if it is enabled
-    if [ -d /run/systemd/system ]; then
-        deb-systemd-invoke start systemd-timesyncd || true
-    fi
-}
-
 case "$1" in
     purge)
         rm -f /var/lib/chrony/*
@@ -39,16 +30,9 @@ case "$1" in
         then
             deluser --quiet --system _chrony > /dev/null 2>&1 || true
         fi
-
-        restore_timesyncd
     ;;
 
-    remove)
-        restore_timesyncd
-    ;;
-
-    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
-
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
     ;;
 
     *)
diff -pruN 3.5-6/debian/rules 3.5-8/debian/rules
--- 3.5-6/debian/rules	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/rules	2020-04-05 15:44:31.000000000 +0000
@@ -28,7 +28,7 @@ override_dh_auto_configure:
 override_dh_install:
 	dh_install
 	install -m 0640 -t $(BASE)/usr/share/chrony/ debian/chrony.keys
-	install -m 0755 -T examples/chrony.nm-dispatcher $(BASE)/etc/NetworkManager/dispatcher.d/20-chrony
+	install -m 0755 -T examples/chrony.nm-dispatcher $(BASE)/usr/lib/NetworkManager/dispatcher.d/20-chrony
 	install -m 0644 -T examples/chrony.logrotate $(BASE)/etc/logrotate.d/chrony
 	dh_apparmor --profile-name=usr.sbin.chronyd -pchrony
 	install -D -p -m 0644 debian/chrony.dhcp $(BASE)/etc/dhcp/dhclient-exit-hooks.d/chrony
diff -pruN 3.5-6/debian/tests/upstream-system-tests 3.5-8/debian/tests/upstream-system-tests
--- 3.5-6/debian/tests/upstream-system-tests	2020-03-10 18:17:16.000000000 +0000
+++ 3.5-8/debian/tests/upstream-system-tests	2020-04-05 15:44:31.000000000 +0000
@@ -9,6 +9,11 @@ set -e
 testdir=$PWD/test/system
 logdir="$testdir/tmp/*"
 
+# some tests need chrony installed, but make sure to avoid the test daemon is
+# fighting with the systems chrony/systemd-timesyncd services over the clock
+systemctl stop systemd-timesyncd.service 2>/dev/null || true
+systemctl stop chrony.service 2>/dev/null || true
+
 run_test() {
      cd "$testdir" && ./run "$@"
 }
